"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const access_1 = __importDefault(require("../../lib/cmd/access"));
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const gitInit = async ({ cwd, log }) => {
    const path = path_1.join(cwd, '.git');
    const isExists = await access_1.default(path);
    if (!isExists) {
        log.info('Initialize the Git repository');
        await exec_1.default({ cmd: 'git', args: ['init'], cwd, log });
    }
    else {
        log.info('Git repository already exists');
    }
};
exports.default = gitInit;
