"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const tool_lib_1 = require("@kettil/tool-lib");
const readFile_1 = __importDefault(require("../../lib/cmd/readFile"));
const writeFile_1 = __importDefault(require("../../lib/cmd/writeFile"));
const replaceKey = (text, key, value) => {
    const keyUpper = key.toUpperCase();
    const a = `%${keyUpper}%`;
    const b = `'%${keyUpper}%'`;
    const c = `"%${keyUpper}%"`;
    if (typeof value === 'undefined') {
        return text.replace(new RegExp([a, b, c].join('|'), 'g'), '');
    }
    if (typeof value === 'boolean') {
        return text.replace(new RegExp([b, c].join('|'), 'g'), value ? 'true' : 'false');
    }
    if (typeof value === 'object') {
        return text.replace(new RegExp([b, c].join('|'), 'g'), JSON.stringify(value));
    }
    return text.replace(new RegExp(a, 'g'), value);
};
const nodeTemplate = async ({ cwd, tpl, log }, { source, target = source, variables }) => {
    try {
        log.debug(`Read the template file ${source}`);
        const content = await readFile_1.default(path_1.join(tpl, source));
        log.info(`Create the template file ${target}`);
        await writeFile_1.default(path_1.join(cwd, target), tool_lib_1.objectEntries(variables).reduce((text, [key, value]) => replaceKey(text, key, value), content));
    }
    catch (error) {
        log.error(`Can not create the template\n${source} -> ${target}`);
        throw error;
    }
};
exports.default = nodeTemplate;
