"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const helper_1 = require("../../lib/helper");
const configs = ['babel.config.js', 'babel.config.json'];
const sourceIgnore = ['src/**/*.test.ts', 'src/**/*.test.tsx'];
const babel = async ({ cwd, log }) => {
    const hasConfigFile = await helper_1.existConfigFile(cwd, configs);
    if (!hasConfigFile) {
        throw new Error(`Babel config file was not found (${configs.join(', ')})`);
    }
    const cmd = './node_modules/.bin/babel';
    const args = [];
    // options
    args.push('-d', 'build');
    args.push('--extensions', '.ts,.tsx');
    args.push('--ignore', `"${sourceIgnore.join('","')}"`);
    // path
    args.push('src');
    log.info('Run babel');
    await exec_1.default({ cmd, args, cwd, log });
};
exports.default = babel;
