"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const helper_1 = require("../../lib/helper");
const configs = ['commitlint.config.js', '.commitlintrc.js', '.commitlintrc.json', '.commitlintrc.yml'];
const commitlint = async ({ cwd, cfg, log }) => {
    const hasConfigFile = await helper_1.existConfigFile(cwd, configs);
    const cmd = './node_modules/.bin/commitlint';
    const args = [];
    args.push('-E', 'HUSKY_GIT_PARAMS');
    args.push('--color');
    if (!hasConfigFile) {
        args.push('--config', path_1.relative(cwd, path_1.join(cfg, 'commitlintrc.json')));
    }
    log.info('Run commitlint');
    await exec_1.default({ cmd, args, cwd, log });
};
exports.default = commitlint;
