"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.extensionAll = exports.extensionCi = void 0;
const path_1 = require("path");
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const helper_1 = require("../../lib/helper");
const configs = [
    '.prettierrc',
    '.prettierrc.json',
    '.prettierrc.yml',
    '.prettierrc.yaml',
    '.prettierrc.toml',
    '.prettierrc.js',
    'prettier.config.js',
];
exports.extensionCi = 'json,md,scss,yml,html';
exports.extensionAll = `ts,tsx,js,jsx,${exports.extensionCi}`;
const prettier = async ({ cwd, cfg, log }, { write, files, extension = exports.extensionAll }) => {
    const hasConfigFile = await helper_1.existConfigFile(cwd, configs);
    const cmd = './node_modules/.bin/prettier';
    const args = [];
    if (!hasConfigFile) {
        args.push('--config', path_1.relative(cwd, path_1.join(cfg, 'prettierrc.json')));
    }
    if (write) {
        args.push('--write');
    }
    else {
        args.push('--list-different');
    }
    if (files) {
        args.push(...files);
    }
    else {
        args.push(`"./**/*.{${extension}}"`);
    }
    log.info('Run prettier');
    await exec_1.default({ cmd, args, cwd, log });
};
exports.default = prettier;
