"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const helper_1 = require("../../lib/helper");
const configs = ['tsconfig.json'];
const tsc = async ({ cwd, log, cfg, vvv }, { mode }) => {
    const hasConfigFile = await helper_1.existConfigFile(cwd, configs);
    if (!hasConfigFile) {
        throw new Error(`TypeScript config file was not found (${configs.join(', ')})`);
    }
    const cmd = './node_modules/.bin/tsc';
    const args = [];
    switch (mode) {
        case 'type-check':
            args.push('--noEmit');
            break;
        case 'type-create':
            args.push('--outDir', path_1.join(cwd, 'build'));
            args.push('--project', path_1.join(cfg, 'typescriptrc.build.json'));
            args.push('--noEmit', 'false');
            args.push('--emitDeclarationOnly');
            break;
        default:
            throw new Error(`Mode is unknown: ${String(mode)}`);
    }
    if (vvv) {
        await exec_1.default({ cmd, args: [...args, '--showConfig'], cwd, log });
    }
    log.info('Run TypeScript');
    await exec_1.default({ cmd, args, cwd, log });
};
exports.default = tsc;
