"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const exec_1 = __importDefault(require("../../lib/cmd/exec"));
const helper_1 = require("../../lib/helper");
const configs = ['webpack.config.js'];
const webpack = async ({ cwd, log }) => {
    const hasConfigFile = await helper_1.existConfigFile(cwd, configs);
    if (!hasConfigFile) {
        throw new Error(`Webpack config file was not found (${configs.join(', ')})`);
    }
    const cmd = './node_modules/.bin/webpack';
    const args = [];
    log.info('Run Webpack');
    await exec_1.default({ cmd, args, cwd, log });
};
exports.default = webpack;
