#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = require("path");
const chalk_1 = __importDefault(require("chalk"));
const yargs_1 = __importDefault(require("yargs"));
const logger_1 = __importDefault(require("../lib/cli/logger"));
const cwd = process.cwd();
const tpl = path_1.join(__dirname, '..', '..', 'templates');
const cfg = path_1.join(__dirname, '..', '..', 'configs');
const epilogue = [
    `Run ${chalk_1.default.bold('carna <command> --help')} to display the options of the commands `,
    '',
    'For more information, find our manual at https://github.com/kettil/carna',
];
yargs_1.default
    .locale('en')
    .option('v', { default: false, type: 'boolean', hidden: true })
    .option('vvv', { default: false, type: 'boolean', hidden: true })
    .option('cwd', { default: cwd, type: 'string', hidden: true })
    .option('tpl', { default: tpl, type: 'string', hidden: true })
    .option('cfg', { default: cfg, type: 'string', hidden: true })
    .middleware((argv) => ({ log: logger_1.default(argv) }))
    .commandDir('../sequences')
    .demandCommand(1, 1)
    .usage('Usage: $0 <command> [options]')
    .epilogue(epilogue.join('\n'))
    .help()
    .version().argv;
