export { handler as gitCommit } from './sequences/gitCommit';
export { handler as gitMsg } from './sequences/gitMessage';
export { handler as init } from './sequences/init';
export { handler as lint } from './sequences/lint';
export declare const actions: {
    gitAdd: (argv: import("./lib/types").PropsGlobal, props: {
        files: string[];
    }) => Promise<void>;
    gitCommit: (argv: import("./lib/types").PropsGlobal, props: {
        msg: string;
    }) => Promise<void>;
    gitInit: (argv: import("./lib/types").PropsGlobal) => Promise<void>;
    gitStaged: (argv: import("./lib/types").PropsGlobal, props: Record<string, undefined>) => Promise<string[]>;
    nodeFile: (argv: import("./lib/types").PropsGlobal, props: {
        file: string;
    }) => Promise<void>;
    nodeFolder: (argv: import("./lib/types").PropsGlobal, props: {
        folder: string;
    }) => Promise<void>;
    nodeTemplate: (argv: import("./lib/types").PropsGlobal, props: {
        source: string;
        target?: string | undefined;
        variables: Record<string, import("./actions/node/template").TemplateVariable>;
    }) => Promise<void>;
    npmInit: (argv: import("./lib/types").PropsGlobal, props: {
        settings: Record<string, string | number | boolean | string[] | Record<string, string>> & {
            scripts?: Record<string, string> | undefined;
            bin?: Record<string, string> | undefined;
            peerDependencies?: string[] | undefined;
        };
    }) => Promise<void>;
    npmInstall: (argv: import("./lib/types").PropsGlobal, props: {
        packages: string[];
        mode: import("./lib/types").NpmInstallMode;
    }) => Promise<void>;
    commitlint: (argv: import("./lib/types").PropsGlobal) => Promise<void>;
    eslint: (argv: import("./lib/types").PropsGlobal, props: {
        write?: boolean | undefined;
        files?: string[] | undefined;
    }) => Promise<void>;
    prettier: (argv: import("./lib/types").PropsGlobal, props: {
        write?: boolean | undefined;
        extension?: string | undefined;
        files?: string[] | undefined;
    }) => Promise<void>;
};
