"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs_1 = require("fs");
const access = async (path, type = 'exists') => {
    let mode;
    switch (type) {
        case 'readable':
            // eslint-disable-next-line no-bitwise
            mode = fs_1.constants.F_OK | fs_1.constants.R_OK;
            break;
        case 'writable':
            // eslint-disable-next-line no-bitwise
            mode = fs_1.constants.F_OK | fs_1.constants.W_OK;
            break;
        default:
            mode = fs_1.constants.F_OK;
    }
    try {
        await fs_1.promises.access(path, mode);
        return true;
    }
    catch (error) {
        return false;
    }
};
exports.default = access;
