"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.handler = exports.builder = exports.desc = exports.command = void 0;
const add_1 = __importDefault(require("../actions/git/add"));
const staged_1 = __importDefault(require("../actions/git/staged"));
const eslint_1 = __importStar(require("../actions/tools/eslint"));
const prettier_1 = __importStar(require("../actions/tools/prettier"));
const yargs_1 = require("../lib/cli/yargs");
const testEslint = new RegExp(`(${eslint_1.extensionAll.replace(/,/g, '|')})$`);
const testPrettier = new RegExp(`(${prettier_1.extensionAll.replace(/,/g, '|')})$`);
exports.command = 'git:commit';
exports.desc = 'Handler for the git commit-msg hook';
exports.builder = yargs_1.builderDefault(exports.command, (yargs) => yargs);
const handler = async (argv) => {
    try {
        const files = await staged_1.default(argv, {});
        if (files.length === 0) {
            throw new Error('No stage files found');
        }
        await prettier_1.default(argv, { write: true, files: files.filter((file) => testPrettier.test(file)) });
        await eslint_1.default(argv, { write: true, files: files.filter((file) => testEslint.test(file)) });
        await add_1.default(argv, { files });
    }
    catch (error) {
        yargs_1.errorHandler(argv, error);
    }
};
exports.handler = handler;
